import React from "react";
import PropTypes from "prop-types";
import Counter from "./Counter";

function Player(props) {
    return (
        <div className="player">
            <div className="player-name">
                {/* <a /> */}
                <button className="remove-player" onClick={props.onRemove}>
                    <span role="img" aria-label="remove button">
                        ❌
                    </span>
                </button>
                {props.name}
            </div>
            <div className="player-score">
                <Counter score={props.score} onChange={props.onScoreChange} />
            </div>
        </div>
    );
}
Player.propTypes = {
    name: PropTypes.string.isRequired,
    score: PropTypes.number.isRequired,
    onScoreChange: PropTypes.func.isRequired,
    onRemove: PropTypes.func.isRequired
};

export default Player;
